From: Uladzimir Bely <ubely@ilbers.de>
To: Jan Kiszka <jan.kiszka@siemens.com>,
isar-users <isar-users@googlegroups.com>
Subject: Re: [PATCH] dpkg-base: Ignore isar-apt also during apt_unpack
Date: Wed, 13 Nov 2024 17:17:33 +0300 [thread overview]
Message-ID: <139ee9e5637f7b7fc8597bcf23fbf2dac1734dec.camel@ilbers.de> (raw)
In-Reply-To: <6f23d1ba-b2b1-4268-b06d-3847baebd8aa@siemens.com>
On Thu, 2024-11-07 at 08:28 +0100, 'Jan Kiszka' via isar-users wrote:
> From: Jan Kiszka <jan.kiszka@siemens.com>
>
> Just like apt_fetch, apt_unpack needs to mask out isar-apt so that,
> when
> retrieving the upstream dsc file, it will not stumble over some
> already
> pushed sources in isar-apt for the current package.
>
> Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
> ---
> meta/classes/dpkg-base.bbclass | 10 +++++++++-
> 1 file changed, 9 insertions(+), 1 deletion(-)
>
> diff --git a/meta/classes/dpkg-base.bbclass b/meta/classes/dpkg-
> base.bbclass
> index e97e4d72..b4ea8e17 100644
> --- a/meta/classes/dpkg-base.bbclass
> +++ b/meta/classes/dpkg-base.bbclass
> @@ -146,13 +146,19 @@ do_apt_unpack() {
> rm -rf ${S}
> schroot_create_configs
>
> + session_id=$(schroot -q -b -c ${SBUILD_CHROOT})
> + echo "Started session: ${session_id}"
> +
> schroot_cleanup() {
> + schroot -q -f -e -c ${session_id} > /dev/null 2>&1
> schroot_delete_configs
> }
> trap 'exit 1' INT HUP QUIT TERM ALRM USR1
> trap 'schroot_cleanup' EXIT
>
> - schroot -d / -c ${SBUILD_CHROOT} -- \
> + schroot -r -c ${session_id} -d / -u root -- \
> + rm /etc/apt/sources.list.d/isar-apt.list
> /etc/apt/preferences.d/isar-apt
> + schroot -r -c ${session_id} -d / -- \
> sh -c '
> set -e
> for uri in $2; do
> @@ -162,6 +168,8 @@ do_apt_unpack() {
> dpkg-source -x "${dscfile}" "${PPS}"
> done' \
> my_script "${BASE_DISTRO}-${BASE_DISTRO_CODENAME}"
> "${SRC_APT}"
> +
> + schroot -e -c ${session_id}
> schroot_delete_configs
> }
> do_apt_unpack[network] = "${TASK_USE_SUDO}"
> --
> 2.43.0
>
Applied to next, thanks.
--
Best regards,
Uladzimir.
--
You received this message because you are subscribed to the Google Groups "isar-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to isar-users+unsubscribe@googlegroups.com.
To view this discussion visit https://groups.google.com/d/msgid/isar-users/139ee9e5637f7b7fc8597bcf23fbf2dac1734dec.camel%40ilbers.de.
prev parent reply other threads:[~2024-11-13 14:17 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-11-07 7:28 'Jan Kiszka' via isar-users
2024-11-13 14:17 ` Uladzimir Bely [this message]
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=139ee9e5637f7b7fc8597bcf23fbf2dac1734dec.camel@ilbers.de \
--to=ubely@ilbers.de \
--cc=isar-users@googlegroups.com \
--cc=jan.kiszka@siemens.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox